package htmlconverter; 
import java.io.FilenameFilter;
import java.io.File;

class CFilter2 implements FilenameFilter {
	public boolean accept(File dir, String name) {
		String match = ".c";
		int ml = match.length();
		int nl = name.length();
		if (nl > ml) {
			String post_fix = name.substring(nl - ml, nl);
		    return post_fix.equals(match);
		}
		return false;
	}
}

 
class WildFilter implements FilenameFilter {
 	String suffix;
 	WildFilter (String suffix_) {
 		suffix = suffix_;
 	}
 	
 	public boolean accept(File dir, String name) {
		String match = suffix;
		int ml = match.length();
		int nl = name.length();
		if (nl>ml) {
		    String post_fix = name.substring( nl - ml,nl);
		    return post_fix.equals(match);
		 } // if
		return false;
      } // accept
 } 