package observers;
import java.util.*;

public class ObservableString extends NamedObservable {
     private String value;     
     
     public ObservableString(String newValue, String newName)  {
         value = newValue; 
         setName(newName);
     }
     
     public void print() {
     	System.out.print(value);
     }

     public synchronized void setValue(String newValue)  {
          if (newValue != value) {
               value = newValue;
               setChanged();     
               notifyObservers();
          }
     }
     public synchronized String getValue()    {
          return value;
     }
}